--- hardinfo/shell/shell.c.orig	2012-05-23 17:35:02.206782845 +0000
+++ hardinfo/shell/shell.c	2012-05-23 17:37:25.326788972 +0000
@@ -1638,7 +1638,7 @@
      g_slist_free(summary->items);
      summary->items = NULL;
      
-     gtk_widget_destroy(summary->header);
+     if (summary->header) gtk_widget_destroy(summary->header);
      summary->header = NULL;
 }
 static void shell_summary_create_header(ShellSummary *summary,
--- hardinfo/includes/computer.h.orig	2012-05-23 17:46:35.166815954 +0000
+++ hardinfo/includes/computer.h	2012-05-23 17:46:58.053483744 +0000
@@ -44,6 +44,7 @@
     { DB_PREFIX "sun-release",		"sun"  },
     { DB_PREFIX "zenwalk-version",	"zen"  },
     { DB_PREFIX "puppyversion",		"ppy"  },
+    { DB_PREFIX "fatdog-version",	"fatdog"  },
     { DB_PREFIX "distro-release",	"fl"   },
     { DB_PREFIX "vine-release",         "vine" },
     { DB_PREFIX "PartedMagic-version",	"pmag" },
--- hardinfo/modules/computer/os.c.orig	2012-05-23 17:44:45.593477244 +0000
+++ hardinfo/modules/computer/os.c	2012-05-23 17:53:13.246835489 +0000
@@ -202,6 +202,14 @@
                   g_free(os->distro);
                   os->distro = tmp;
                 }
+
+                if (g_str_equal(distro_db[i].codename, "fatdog")) {
+                  gchar *tmp;
+                    tmp = g_strdup_printf("Fatdog64 [%.10s]", os->distro);
+                  g_free(os->distro);
+                  os->distro = tmp;
+                }
+                
                 os->distrocode = g_strdup(distro_db[i].codename);
 
                 break;
